package com.yijia.market.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yijia.market.mapper.MarketCouponMapper;
import com.yijia.market.domain.MarketCoupon;
import com.yijia.market.service.IMarketCouponService;

/**
 * 优惠劵管理Service业务层处理
 * 
 * @author yijia
 * @date 2020-12-22
 */
@Service
public class MarketCouponServiceImpl implements IMarketCouponService 
{
    @Autowired
    private MarketCouponMapper marketCouponMapper;

    /**
     * 查询优惠劵管理
     * 
     * @param couponId 优惠劵管理ID
     * @return 优惠劵管理
     */
    @Override
    public MarketCoupon selectMarketCouponById(Long couponId)
    {
        return marketCouponMapper.selectMarketCouponById(couponId);
    }

    /**
     * 查询优惠劵管理列表
     * 
     * @param marketCoupon 优惠劵管理
     * @return 优惠劵管理
     */
    @Override
    public List<MarketCoupon> selectMarketCouponList(MarketCoupon marketCoupon)
    {
        return marketCouponMapper.selectMarketCouponList(marketCoupon);
    }

    /**
     * 新增优惠劵管理
     * 
     * @param marketCoupon 优惠劵管理
     * @return 结果
     */
    @Override
    public int insertMarketCoupon(MarketCoupon marketCoupon)
    {
        return marketCouponMapper.insertMarketCoupon(marketCoupon);
    }

    /**
     * 修改优惠劵管理
     * 
     * @param marketCoupon 优惠劵管理
     * @return 结果
     */
    @Override
    public int updateMarketCoupon(MarketCoupon marketCoupon)
    {
        return marketCouponMapper.updateMarketCoupon(marketCoupon);
    }

    /**
     * 批量删除优惠劵管理
     * 
     * @param couponIds 需要删除的优惠劵管理ID
     * @return 结果
     */
    @Override
    public int deleteMarketCouponByIds(Long[] couponIds)
    {
        return marketCouponMapper.deleteMarketCouponByIds(couponIds);
    }

    /**
     * 删除优惠劵管理信息
     * 
     * @param couponId 优惠劵管理ID
     * @return 结果
     */
    @Override
    public int deleteMarketCouponById(Long couponId)
    {
        return marketCouponMapper.deleteMarketCouponById(couponId);
    }
}
